<?php
// +-----------------------------------------------------------------------+
// | Piwigo - a PHP based picture gallery                                  |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined("PHPWG_ROOT_PATH")){
  die("Hacking attempt!");
}

include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
load_language('plugin.lang', COPYRIGHTS_PATH);

// Check access and exit when user status is not ok
check_status(ACCESS_ADMINISTRATOR);

// Default is to create, if changed to 1, show edit page
$edit = 0;

// The values for the form fields
$CRid = 0;
$CRname = '';
$CRurl = '';
$CRdescr = '';
$CRvisible = 0;

// Do managing of copyrights
if (isset($_GET['tab'])) {
  if ($_GET['tab'] == 'create') {
    $name = pwg_db_real_escape_string($_REQUEST['name']);
    $url = pwg_db_real_escape_string($_REQUEST['url']);
    $descr = pwg_db_real_escape_string($_REQUEST['descr']);
    $visible = (isset($_REQUEST['visible']) ? 1 : 0);
    $query = sprintf(
      'SELECT COUNT(*)
      FROM %s
      WHERE `name` = '%s'
      ;',
      COPYRIGHTS_ADMIN, $name);
    list($counter) = pwg_db_fetch_row(pwg_query($query));
    if ($counter != 0) {
      array_push($page['errors'], l10n('This copyright already exists'));
    } else {
      $query = sprintf(
        'INSERT INTO %s
        (`name`,`url`,`descr`,`visible`) VALUES
        ("%s","%s","%s",%d)
        ;',
        COPYRIGHTS_ADMIN, $name, $url, $descr, $visible);
      pwg_query($query);
    }
  }

  if ($_GET['tab'] == 'edit') {
    $edit = 1;
    $CRid = $_REQUEST['id'];
    $query = sprintf(
      'SELECT *
      FROM %s
      WHERE `cr_id`=%d
      ;',
      COPYRIGHTS_ADMIN, $CRid);
    $result = pwg_query($query);
    $row = pwg_db_fetch_assoc($result);
    $CRname = $row['name'];
    $CRurl = $row['url'];
    $CRdescr = $row['descr'];
    $CRvisible = $row['visible'];
  }

  if ($_GET['tab'] == 'update') {
    $id = pwg_db_real_escape_string($_REQUEST['id']);
    $name = pwg_db_real_escape_string($_REQUEST['name']);
    $url = pwg_db_real_escape_string($_REQUEST['url']);
    $descr= pwg_db_real_escape_string($_REQUEST['descr']);
    $visible = (isset($_REQUEST['visible']) ? 1 : 0);
    $query = sprintf(
      'UPDATE %s
      SET `name`="%s", `url`="%s", `descr`="%s", `visible`=%d
      WHERE `cr_id`=%d
      ;',
      COPYRIGHTS_ADMIN, $name, $url, $descr, $visible, $id);
    pwg_query($query);
  }
  
  if ($_GET['tab'] == 'delete') {
    $id = $_REQUEST['id'];
    $query = sprintf(
      'DELETE FROM %s
      WHERE `cr_id`=%d
      ;',
      COPYRIGHTS_ADMIN, $id);
    pwg_query($query);
  }
}

// Create page template
global $template;

$template->set_filenames(
  array(
    'plugin_admin_content' => dirname(__FILE__).'/admin.tpl'
  )
);

$query = sprintf(
  'SELECT *
  FROM %s
  ;',
  COPYRIGHTS_ADMIN);
$result = pwg_query($query);

while ($row = pwg_db_fetch_assoc($result)) {
  $template->append(
    'CRs',
    array(
      'cr_id'   => $row['cr_id'],
      'name'    => $row['name'],
      'url'     => $row['url'],
      'descr'    => $row['descr'],
      'visible' => $row['visible']
    )
  );
}

$template->assign(
  'COPYRIGHTS_PATH',
  COPYRIGHTS_WEB_PATH
);

$template->assign('edit', $edit);
$template->assign('CRid', $CRid);
$template->assign('CRname', $CRname);
$template->assign('CRurl', $CRurl);
$template->assign('CRdescr', $CRdescr);
$template->assign('CRvisible', $CRvisible);

$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');

?>
